summarylogtreecommitdiffstats
path: root/mhwd-ati
diff options
context:
space:
mode:
authorlibrewish2020-04-24 20:13:12 +0530
committerlibrewish2020-04-24 20:13:12 +0530
commitd28eeddd9e45bf31b4433f9aeb88a85a8643e407 (patch)
tree760ef69de55d5951361afbf7b84e861c78104278 /mhwd-ati
downloadaur-d28eeddd9e45bf31b4433f9aeb88a85a8643e407.tar.gz
init
Diffstat (limited to 'mhwd-ati')
-rw-r--r--mhwd-ati17
1 files changed, 17 insertions, 0 deletions
diff --git a/mhwd-ati b/mhwd-ati
new file mode 100644
index 000000000000..cf96c146c7dd
--- /dev/null
+++ b/mhwd-ati
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+filename="$1"
+
+[ -e "$filename" ] || {
+ echo "USAGE: $0 path/to/fglrxko_pci_ids.h" >&2
+ exit 1
+}
+
+printf '%s\n' '# List generated by mhwd. Do not edit manually.'
+
+grep "0x" "$filename" | \
+ cut -d, -f1 | sed s/0x// | sed 's/"//g' | \
+ sort | uniq | sed -e 's/^[ \t]*//'
+